<?php
/**
* @package zoolJoomLibs.mediaImageChooser
* @license    GNU/GPL
* @author Bisyarin Artyom
* @copyright Zool! Unix Workshop ({@link http://zool.in.ua})
*/
defined('_JEXEC') or die( 'Restricted access' );

/**
* Static class for adding necessary styles and scripts to guarantee mediaImageChooser's work
*
* @package zoolJoomLibs.mediaImageChooser
* @author Bisyarin Artyom
* @copyright Zool! Unix Workshop ({@link http://zool.in.ua})
*/
class mediaImageChooserBehavior {
/**
* Adds all styles and scripts to the page.
*
* @param string $blankImg Path to blank image.
* @return void
*/
function all ($blankImg = 'images/M_images/blank.png') {
$style = <<<EOF
div.button2-left, 
div.button2-left div.image, 
div.button2-left div.image a.modal 
{
    float: none;
    width: 24px;
    margin-left: 0;
}
EOF;

$script = <<<EOF
function jInsertEditorText(imgTag, id) {
    re = /src=['"]([^'"]+)['"]/;
    re.test(imgTag);
    imgPath = RegExp.$1;
    if (imgPath.length <= 0) {
      alert("Error: Can't parse image tag: " + imgTag);
      return false;
    }

    el = document.getElementById(id);
    if (!el) {
      alert("Error: Can't found element with id: " + id);
      return false;
    }

    el.value = imgPath;
    // Generate event. Now event handler is able to do it's work
    el.onchange();
    return true;
}

function inputBoxAndImgSync(boxId, imgId) {
  blankImg = '$blankImg';
  box = document.getElementById(boxId);
  if (!box) {
    alert("Error: Can't found input box with id: " + boxId);
    return false;
  }

  img = document.getElementById(imgId);
  if (!img) {
    alert("Error: Can't found image with id: " + imgId);
    return false;
  }

  if (box.value == '') {
    imgPath = blankImg;
  }
  else {
    imgPath = box.value;
  }

  // Absolute path and url support
  // second group is the URI-scheme regex
  re = /(^\/)|(^[a-z][a-z0-9+.-]+:)/i;
  if (!re.test(imgPath)) {
    imgPath =  '../' + imgPath;
  }

  img.src = imgPath;
  return true;
}
EOF;

$doc = JFactory::getDocument();
$doc->addScriptDeclaration($script);
$doc->addStyleDeclaration($style);
}
}